<?php
header('Content-Type: application/json');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}

$sql = "";
$audio = "";
$nombreaudio = "";

if( $_REQUEST["audio"] ) {$nombreaudio = $_REQUEST['audio'];}
if (isset($_FILES['archivoaudio']) && !empty($_FILES['archivoaudio']))
{
      	  $val = $_FILES['archivoaudio'];
		  $audio1nom = $val['name'];
		  $audio1tmp = $val['tmp_name'];
		  $ruta_archivo = pathinfo($nombreaudio);        
		  $ruta_base = $ruta_archivo["dirname"];
		  $nombre_archivo = $ruta_archivo["basename"];        
		  $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
		  $target_file = $ruta_completa . "/" . $nombre_archivo;
		  $target_file = str_replace("/\\","/",$target_file);  
		  $uploadOk = 1;
		  $audioFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		  if (file_exists($target_file)) {
				 $uploadOk = 0;
		  }
		  if ($val["size"] > 9000000) {
			   $uploadOk = 0;
		  }
		  if(strtolower($audioFileType) != "ogg" && strtolower($audioFileType) != "mp3" && strtolower($audioFileType) != "wav" && strtolower($audioFileType) != "wma") {
			  $uploadOk = 0;
		  }
		  if ($uploadOk == 1) {
		   move_uploaded_file($audio1tmp, $target_file);
		  }   
}


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if(strlen($sql) > 2){
      $resultado = mysqli_query($con,$sql);
      }




	 if( $_REQUEST["id"] ) {
		$id = $_REQUEST['id'];
	 }
	 $usuario = '';
	 if( $_REQUEST["usuario"] ) {
		$usuario = $_REQUEST['usuario'];
	 }
	 
	 $fecha = dl_fecha::dl_ahora_texto();


	 if($id > 0)
	 {
		$sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'SE AGREGO AUDIO','NUEVO_AUDIO','" . $usuario . "','" . $fecha . "')";
		$resultado = mysqli_query($con,$sql);
	 }



mysqli_close($con);
$resultado = array(
   'mensaje'=> $sql
   );
echo json_encode($resultado);
?>
